libname screen 'C:\Users\Yingy\Desktop\screen project';

data analysis1;
  set screen.screen0821;
run;

proc freq data=analysis1;
  where summary in ('8');
  table gendo2 ptg2 eendo;
run;

proc freq data=analysis1;
  where U3=5;
  table summary;
run;

proc freq data=analysis1;
  where summary in ('8');
  table gendo2 ptg2 eendo;
run;

proc freq data=analysis1;
  where gender=2;
  tables U1;
run;

proc freq data=analysis1;
  where U1=2;
  tables summary;
run;

proc freq data=analysis1;
  where summary in ('4','10');
/*  tables U5*summary;*/
  tables ubelly*summary;
run;

proc freq data=analysis1;
  where U5=5;
  tables summary;
run;

proc freq data=analysis1;
  where gender=1;
  tables U2 uprostate;
run;

proc freq data=analysis1;
  tables ubelly;
run;

proc freq data=analysis1;
  table outcome summary;
run;

proc freq data=analysis1;
  table outcome summary;
run;

proc freq data=analysis1;
/*   where gender=2;*/
/*   table U3;*/
/*  table U4;*/
  tables U5;
run;

proc freq data=analysis1;
  where U5=5;
  table summary;
run;

proc freq data=analysis1;
  where CT1=1;
  tables summary;
run;

proc freq data=analysis1;
  tables ct2;
run;

proc freq data=analysis1;
  where ct2=6;
  tables summary;
run;

proc means data=analysis1 mean median min max range std;
/*   where outcome=1;*/
   where outcome=2;
   var age;
run;

proc logistic data=analysis1;
  model outcome=age;
run;

proc freq data=analysis1;
  tables age2*outcome/chisq fisher;
run;

proc freq data=analysis1;
  tables gender*outcome/chisq fisher;
run;

proc freq data=analysis1;
  tables mfamily*outcome/chisq;
run;

proc logistic data=analysis1;
  class mfamily/desc;
  model outcome=mfamily;
run;

/*proc freq data=analysis1;*/
/*  tables history*outcome/chisq;*/
/*run;*/
/**/
/*proc logistic data=analysis1;*/
/*  class history/desc;*/
/*  model outcome=history;*/
/*run;*/

proc freq data=analysis1;
  tables cancer*outcome/chisq;
run;

proc logistic data=analysis1;
  class cancer/desc;
  model outcome=cancer;
run;

proc freq data=analysis1;
  tables cancer*outcome/chisq;
run;

proc freq data=analysis1;
  tables smoking*outcome/chisq;
run;

proc freq data=analysis1;
  tables drinking*outcome/chisq;
run;

proc freq data=analysis1;
  tables shsmoking*outcome/chisq;
run;






data analysis2;
  set analysis1;
  if marriage=. then marriage1=.;
  else if marriage=2 then marriage1=1;
  else marriage1=2;
  if occupation
run;

proc freq data=analysis2;
  tables marriage marriage1;
run;

proc logistic data=analysis2;
  class marriage1/desc;
  model outcome=marriage1;
run;

proc freq data=analysis2;
  tables marriage1*outcome/chisq;
run;


proc freq data=analysis2;
/*  tables surgery*pathology1;*/
  tables cancer*pathology1;
run;

data check1;
  set analysis2;
  if cancer=1 and pathology1=2 then output;
run;

proc print data=check1;
  id id cancer pathology1;
run;

data check2;
  set analysis2;
  if surgery=2 and pathology1=2 then output;
run;

proc print data=check2;
  id id surgery pathology1;
run;

data analysis3;
  set analysis2;
  if id=2108309509 and pathology1=2 then cancer=2;
  if id=1908268805 and cancer=1 then pathology1=1;
run;

proc freq data=analysis3;
  tables cancer*pathology1;
run;

data check2;
  set analysis3;
  if cancer=1 and pathology1=3 then output;
run;

proc print data=check2;
  id id cancer pathology1;
run;
